Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.ioca
Class ImageRasterPattern

    java.lang.Object
      org.apache.fop.afp.ioca.ImageRasterPattern

    public final class ImageRasterPattern

extends java.lang.Object

Raster data is a grid of cells covering an area of interest. Each pixel, the smallest unit of information in the grid, displays a unique attribute. This static class generates raster data for different shades of grey (betweeen 0 and 16) the lower the number being the darker the shade. The image data dimensions are 64 x 8.

Method Summary
`static byte[]` | `getRasterData(int greyscale)` Static method to return the raster image data for the grey scale specified.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getRasterData

    public static byte[] getRasterData(int greyscale)

  Static method to return the raster image data for the grey scale specified. The scale should be between 0 (darkest) and 16 (lightest).

  Parameters:
    `greyscale` - The grey scale value (0 - 16)
  Returns:
    the raster data byte array for the given greyscale value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.